busybox in the way, moving the SERIAL setup to the chroot fixes serial on all boards

Signed-off-by: Robert Nelson <robertcnelson@gmail.com>
pull/10/merge
Robert Nelson 12 years ago
parent 49d47b3895
commit ac07ac6dcc

@ -803,8 +803,7 @@ function setup_bootscripts {
echo "NetInstall: Setting up to use Serial Port: [${SERIAL}]"
sed -i -e 's:SERIAL:'${SERIAL}':g' "${DIR}/scripts/serial.conf"
sed -i -e 's:SERIAL:'${SERIAL}':g' "${DIR}/scripts/ubuntu-tweaks.diff"
sed -i -e 's:SERIAL:'${SERIAL}':g' "${DIR}/scripts/debian-tweaks.diff"
sed -i -e 's:SERIAL:'${SERIAL}':g' "${DIR}/scripts/debian-finish.sh"
if [ "$SMSC95XX_MOREMEM" ] ; then
sed -i 's/8192/16384/g' "${DIR}/scripts/ubuntu-tweaks.diff"
@ -1460,8 +1459,7 @@ fi
function reset_scripts {
sed -i -e 's:'${SERIAL}':SERIAL:g' "${DIR}/scripts/serial.conf"
sed -i -e 's:'${SERIAL}':SERIAL:g' "${DIR}/scripts/ubuntu-tweaks.diff"
sed -i -e 's:'${SERIAL}':SERIAL:g' "${DIR}/scripts/debian-tweaks.diff"
sed -i -e 's:'${SERIAL}':SERIAL:g' "${DIR}/scripts/debian-finish.sh"
if [ "${SMSC95XX_MOREMEM}" ] ; then
sed -i 's/16384/8192/g' "${DIR}/scripts/ubuntu-tweaks.diff"

@ -47,6 +47,8 @@ cp /boot/initrd.img-`uname -r` /boot/uboot/initrd.img
rm -f /boot/uboot/linux-image-*_1.0*_arm*.deb || true
cat etc/inittab | grep -v '#' | grep SERIAL || echo "T2:23:respawn:/sbin/getty -L SERIAL 115200 vt102" >> /etc/inittab && echo "#" >> /etc/inittab
#Debug:
mount > /boot/uboot/backup/mount.log

@ -3,7 +3,7 @@ new file mode 100755
index 0000000..6d06fc7
--- /dev/null
+++ b/usr/lib/finish-install.d/08rcn-ee-finish-installing-device
@@ -0,0 +1,36 @@
@@ -0,0 +1,32 @@
+#!/bin/sh -e
+cp /etc/e2fsck.conf /target/etc/e2fsck.conf
+cp /etc/finish-install.sh /target/etc/finish-install.sh
@ -18,10 +18,6 @@ index 0000000..6d06fc7
+ #smsc95xx kevent workaround/hack
+ echo "vm.min_free_kbytes = 8192" >> /target/etc/sysctl.conf
+
+ if [ ! -f /etc/rcn-serial.conf ]; then
+ cat /target/etc/inittab | grep -v '#' | grep SERIAL || echo "T2:23:respawn:/sbin/getty -L SERIAL 115200 vt102" >> /target/etc/inittab && echo "#" >> /target/etc/inittab
+ fi
+
+ if [ -d /lib/firmware/ ] ; then
+ cp -rf /lib/firmware/ /target/lib/ || true
+ fi

Loading…
Cancel
Save